<?php
session_start();
if(isset($_SESSION["admin"])){
    $admin1 = $_SESSION["admin"];
}
else header('location:index.php');
include 'include/pdo.php';
include 'include/conn.php';
$ress = $db->select("SELECT * FROM `calendar`");
$event=array();
$p=0;
if($ress != null){
    foreach ($ress as $res){
        $event[$p]["date"] = $res->date;
        $event[$p]["subject"] = $res->subject;
        $event[$p]["timestart"] = $res->timestart;
        $event[$p]["timefinish"] = $res->timefinish;
        $event[$p]["comment"] = $res->comment;
        $event[$p]["id"] = $res->id;
        $p++;
    }
}
$post = time();
if(isset($_POST["post"])){
    $post=$_POST["post"];
}
include 'include/jdf.php';
include 'include/convert.php';
$daylist=array("شنبه","یکشنبه","دوشنبه","سه شنبه","چهارشنبه","پنجشنبه","جمعه",);
//امروز چه روزیه؟
$rooz = jdate('d',$post);///inja
$rooz = ta_latin_num($rooz);
$today = $rooz ;
$rooz--;
$rooz = $rooz * 24 * 60 * 60;
//بدست آوردن روز اول ماه
$firstdaymonth = jdate('l',$post-$rooz);
$j=1;
foreach ($daylist as $day){
    if($day == $firstdaymonth) {
        $todaynum = $j;
        goto a;
    }
    $j++;
}
a:
$monthnum = jdate('n',$post);
$monthnum = ta_latin_num($monthnum);
if ($monthnum <= 6) $lastdaymonth = 31;
else $lastdaymonth = 30;
if ($monthnum == 12 ) $lastdaymonth = 29;
?>
<!DOCTYPE html>
<html>
<head>
    <title>تقویم مدیریت جلسات</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <link href="css/style.css" rel="stylesheet" type="text/css" media="all"/>
    <link rel="stylesheet" href="css/clndr.css" type="text/css" />
</head>
<body>
<div class="main" dir="rtl">
    <h1>تقویم مدیریت جلسات</h1>
    <div class="calnder">
        <div class="column_right_grid calender">
                <div class="clndr-event">
                    <a class="refresh" href=""><img src="image/refresh.png"> </a>
                    <?php
                    if($admin1 == 1) {
                        ?>
                        <span id="startmodal" class="popup-with-zoom-anim">اضافه کردن رویداد</span>
                        <?php
                    }
                    else{
                        echo "<span class='popup-with-zoom-anim'>خوش آمدید</span>";
                    }
                    ?>
                    <a class="logout" href="logout.php"><img src="image/logout.png"> </a>
                </div>
            <div class="cal1">
                <div class="clndr">
                    <div class="clndr-controls">
                        <div >
                            <form action="" method="post">
                                <input type="hidden" name="post" value="<?php echo $post-2592000; ?>">
                                <button class="prev" type="submit"> قبل</button>
                            </form>
                        </div>
                        <div class="month"><?php echo jdate('F ماه سال Y',$post); ?></div>
                        <div >
                            <div >
                                <form action="" method="post">
                                    <input type="hidden" name="post" value="<?php echo $post+2592000; ?>">
                                    <button class="next" type="submit"> بعد</button>
                                </form>
                            </div>
                        </div>
                    </div>
                    <table class="clndr-table">
                        <thead>
                        <tr class="header-days">
                            <td class="header-day">شنبه</td>
                            <td class="header-day">یک شنبه</td>
                            <td class="header-day">دو شنبه</td>
                            <td class="header-day">سه شنبه</td>
                            <td class="header-day">چهار شنبه</td>
                            <td class="header-day">پنج شنبه</td>
                            <td class="header-day">جمعه</td>
                        </tr>
                        </thead>
                        <tbody id="calendar">
                        <?php include "include/calendar.php"; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="event">
    <h2>اضافه کردن رویداد</h2>
    <input id="subject" placeholder="موضوع">
    <input id="calendarId" type="text" readonly value="لطفا تاریخ را از تقویم انتخاب نمایید.">
    <label>تاریخ شروع :</label>
    <input id="timeStart" type="time">
    <label>تاریخ پایان :</label>
    <input id="timeFinish" type="time">
    <textarea id="comment" placeholder="توضیحات بیشتر"></textarea>
    <button id="send">ثبت</button>
</div>
<div id="modal">
    <h2>نمایش رویداد</h2>
    <input readonly id="spanId" type="text"  value="">
    <input  id="spantimeStart" type="time">
    <input readonly id="spantimeFinish" type="time">
    <input  id="spansubject">
    <textarea  id="spancomment" placeholder="توضیحات بیشتر"></textarea>
    <?php
    if($admin1 == 1) {
        ?>
        <button id="spansend">حذف رویداد</button>
        <button id="spanedit">ویرایش</button>
        <?php
    }
    ?>
</div>
<div id="background"></div>
<!--//main-->
</body>
<script type="text/javascript" src="js/jquery-1.12.1.min.js"></script>
<script type="text/javascript" src="js/js.js"></script>
</html>